package com.hssx.pcbms.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author 吴涛涛
 * @since 2019-11-06
 */
public class NewsNotice extends Model<NewsNotice> {

    private static final long serialVersionUID=1L;

    /**
     * 消息盒子表主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 资产名称（只对资产有效）
     */
    @TableField("raf_name")
    private String rafName;

    /**
     * 引用的外部表id type=0 资产id
     */
    @TableField("ref_id")
    private Integer refId;

    /**
     * 消息提醒类型0-维护，1-打分
     */
    @TableField("notice_type")
    private Integer noticeType;

    /**
     * 内容
     */
    @TableField("content")
    private String content;

    /**
     * 时间
     */
    @TableField("indate")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime indate;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getRafName() {
        return rafName;
    }

    public void setRafName(String rafName) {
        this.rafName = rafName;
    }

    public Integer getRefId() {
        return refId;
    }

    public void setRefId(Integer refId) {
        this.refId = refId;
    }

    public Integer getNoticeType() {
        return noticeType;
    }

    public void setNoticeType(Integer noticeType) {
        this.noticeType = noticeType;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public LocalDateTime getIndate() {
        return indate;
    }

    public void setIndate(LocalDateTime indate) {
        this.indate = indate;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "NewsNotice{" +
        "id=" + id +
        ", rafName=" + rafName +
        ", refId=" + refId +
        ", noticeType=" + noticeType +
        ", content=" + content +
        ", indate=" + indate +
        "}";
    }
}
